integer :: a(1)[2:9,4,-3:5,0:*]
print *, lcobound(a)
print *, lcobound(a,dim=3,kind=8)
print *, ucobound(a)
print *, ucobound(a,dim=1,kind=2)
if (any(lcobound(a) /= [2, 1, -3, 0])) call abort()
if (any(ucobound(a) /= [9, 4,  5, 0])) call abort()
if (lcobound(a,dim=3,kind=8) /= -3_8)  call abort()
if (ucobound(a,dim=1,kind=2) /=  9_2)  call abort()
end
